package MY;
use CTK::Util qw/dformat/;

sub postamble {
my $section = <<'MAKE_FRAG';
INST_CONF = blib$(DFSEP)conf
INST_WWW = blib$(DFSEP)www

CRLF = $(ABSPERLRUNINST) -MCTK::Command -e crlf --
MY_CONFIGURE = $(ABSPERLRUNINST) -Iinc -MPostConf -e configure --
MY_INSTALL = $(ABSPERLRUNINST) -Iinc -MPostConf -e install --

pure_all :: configured.tmp
[TAB]$(NOECHO) $(ECHO) "Configured."

# Configure
configured.tmp : conf$(DFSEP)$(PROJECT_NAMEL).conf $(INST_CONF)$(DFSEP).exists $(INST_WWW)$(DFSEP).exists
[TAB]$(MY_CONFIGURE) conf $(INST_CONF)
[TAB]$(CRLF) $(INST_CONF)
[TAB]$(MY_CONFIGURE) www $(INST_WWW)
[TAB]$(NOECHO) $(TOUCH) configured.tmp

# Creating directories
$(INST_CONF)$(DFSEP).exists :: Makefile.PL
[TAB]$(MKPATH) $(INST_CONF)
[TAB]$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_CONF)
[TAB]$(NOECHO) $(TOUCH) $(INST_CONF)$(DFSEP).exists

$(INST_WWW)$(DFSEP).exists :: Makefile.PL
[TAB]$(MKPATH) $(INST_WWW)
[TAB]$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_WWW)
[TAB]$(NOECHO) $(TOUCH) $(INST_WWW)$(DFSEP).exists

install :: installed.tmp
[TAB]$(NOECHO) $(ECHO) The $(PROJECT_NAME) project has been successfully installed.

installed.tmp : configured.tmp
[TAB]$(MKPATH) "$(PROJECT_CONFDIR)"
[TAB]$(NOECHO) $(CHMOD) $(PERM_DIR) "$(PROJECT_CONFDIR)"
[TAB]$(MY_INSTALL) $(INST_CONF) "$(PROJECT_CONFDIR)"
[TAB]$(MKPATH) "$(PROJECT_WWWDIR)"
[TAB]$(NOECHO) $(CHMOD) $(PERM_DIR) "$(PROJECT_WWWDIR)"
[TAB]$(MY_INSTALL) $(INST_WWW) "$(PROJECT_WWWDIR)" FORCE_REWRITE
[TAB]$(NOECHO) $(TOUCH) installed.tmp
MAKE_FRAG

return dformat($section, {
        TAB => "\t",
    });
}

1;
